%define cid            langpack-kk@firefox.mozilla.org
%define cid_dir        %firefox_noarch_extensionsdir/%cid

%define cid_dict       kk@dictionaries.addons.mozilla.org
%define cid_dict_dir   %firefox_noarch_extensionsdir/%cid_dict

Name:		firefox-kk
Version:	45.5.0
Release:	alt0.M70P.1
Summary:	Kazakh (KZ) Language Pack for Firefox

License:	MPL/GPL/LGPL
Group:		Networking/WWW
URL:		http://www.mozilla-russia.org/products/firefox/
Packager:	Alexey Gladkov <legion@altlinux.ru>
BuildArch:	noarch

Source0:	kk-%version.xpi

Requires:	firefox >= %version
Requires:	hunspell-kk

BuildRequires(pre):	rpm-build-firefox
BuildRequires:		unzip

Conflicts:	firefox-kk

%description
The Mozilla Firefox Kazakh translation.

%prep
%setup -c -n firefox-kk-%version/%cid

%install
cd ..

mkdir -p -- \
	%buildroot/%cid_dir \
	%buildroot/%cid_dict_dir/dictionaries

# Install translation
cp -r -- %cid/* %buildroot/%cid_dir

# Install dictionary
cat > %buildroot/%cid_dict_dir/install.rdf <<-EOF
	<?xml version="1.0"?>
	<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	     xmlns:em="http://www.mozilla.org/2004/em-rdf#">
	  <Description about="urn:mozilla:install-manifest"
	               em:id="%cid_dict"
	               em:name="Kazakh (KZ) Dictionary"
	               em:version="%version"
	               em:type="64"
	               em:unpack="true"
	               em:creator="Mozilla Russia">
	    <em:targetApplication>
	      <Description>
	        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
	        <em:minVersion>%version</em:minVersion>
	        <em:maxVersion>%version.*</em:maxVersion>
	      </Description>
	    </em:targetApplication>
	  </Description>
	</RDF>
EOF
ln -s %_datadir/myspell/kk_KZ.aff %buildroot/%cid_dict_dir/dictionaries/kk.aff
ln -s %_datadir/myspell/kk_KZ.dic %buildroot/%cid_dict_dir/dictionaries/kk.dic


%files
%cid_dir
%cid_dict_dir

%changelog
* Tue Nov 22 2016 Andrey Cherepanov <cas@altlinux.org> 45.5.0-alt0.M70P.1
- New version

* Wed Aug 24 2016 Andrey Cherepanov <cas@altlinux.org> 45.3.0-alt0.M70P.1
- New version

* Mon Jun 13 2016 Andrey Cherepanov <cas@altlinux.org> 45.2.0-alt0.M70P.1
- New version

* Mon Aug 17 2015 Andrey Cherepanov <cas@altlinux.org> 38.2.0-alt0.M70P.1
- Backport new version to p7 branch

* Mon May 25 2015 Alexey Gladkov <legion@altlinux.ru> 38.0.1-alt1
- New version (38.0.1).

* Thu Apr 09 2015 Alexey Gladkov <legion@altlinux.ru> 37.0.1-alt1
- New version (37.0.1).

* Mon Mar 09 2015 Alexey Gladkov <legion@altlinux.ru> 36.0.1-alt1
- New version (36.0.1).

* Tue Jan 27 2015 Alexey Gladkov <legion@altlinux.ru> 35.0-alt1
- New version (35.0).

* Tue Dec 09 2014 Alexey Gladkov <legion@altlinux.ru> 34.0-alt1
- New version (34.0).

* Fri Oct 24 2014 Alexey Gladkov <legion@altlinux.ru> 33.0-alt1
- New version (33.0).

* Wed Oct 01 2014 Alexey Gladkov <legion@altlinux.ru> 32.0-alt1
- New version (32.0).

* Wed Jul 30 2014 Alexey Gladkov <legion@altlinux.ru> 31.0-alt1
- New version (31.0).

* Sun May 11 2014 Alexey Gladkov <legion@altlinux.ru> 29.0.1-alt1
- New version (29.0.1).

* Thu Mar 27 2014 Alexey Gladkov <legion@altlinux.ru> 28.0-alt1
- New version (28.0).

* Fri Feb 14 2014 Alexey Gladkov <legion@altlinux.ru> 27.0-alt1
- New version (27.0).

* Sat Dec 28 2013 Alexey Gladkov <legion@altlinux.ru> 26.0-alt1
- New version (26.0).

* Wed Nov 06 2013 Alexey Gladkov <legion@altlinux.ru> 25.0-alt1
- New version (25.0).

* Fri Oct 25 2013 Alexey Gladkov <legion@altlinux.ru> 24.0-alt1
- New version (24.0).
